## org.biojava.utils.xml
Class ResourceEntityResolver

    java.lang.Object
      org.biojava.utils.xml.ResourceEntityResolver

All Implemented Interfaces:
  org.xml.sax.EntityResolver

public class ResourceEntityResolver
extends java.lang.Object
implements org.xml.sax.EntityResolver

SAX EntityResolve which looks up system IDs as resources from a Java ClassLoader.

Since:
  1.2
Author:
  Thomas Down

Constructor Summary
`ResourceEntityResolver(java.lang.String path)` Construct a resolver which searches for resources in the specified path relative to the current classloader.
`ResourceEntityResolver(java.lang.String[] path)` Construct a resolver which searches for resources in the specified list of directories relative to the current classloader.
`ResourceEntityResolver(java.lang.String[] path, java.lang.ClassLoader classLoader)` Construct a resolver which searches for resources in the specified list of directories relative to the supplied classloader.
`ResourceEntityResolver(java.lang.String path, java.lang.ClassLoader classLoader)` Construct a resolver which searches for resources in the specified path relative to the supplied classloader.

Method Summary
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEntityResolver

    public ResourceEntityResolver(java.lang.String path)

  Construct a resolver which searches for resources in the specified path relative to the current classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(java.lang.String[] path)

  Construct a resolver which searches for resources in the specified list of directories relative to the current classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(java.lang.String[] path,
                                  java.lang.ClassLoader classLoader)

  Construct a resolver which searches for resources in the specified list of directories relative to the supplied classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(java.lang.String path,
                                  java.lang.ClassLoader classLoader)

  Construct a resolver which searches for resources in the specified path relative to the supplied classloader.

Method Detail

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`